org.apache.ignite.internal.commandline

## Class BaselineCommand

- java.lang.Object
- - org.apache.ignite.internal.commandline.BaselineCommand

All Implemented Interfaces:
  Command<BaselineArguments>

    public class BaselineCommand
    extends Object
    implements Command<BaselineArguments>

Commands assosiated with baseline functionality.

### Constructor Summary

Constructors
Constructor and Description
`BaselineCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BaselineArguments` `arg()`
`String` `confirmationPrompt()`
`Object` `execute(GridClientConfiguration clientCfg, Logger logger)` Change baseline.
`String` `name()`
`void` `parseArguments(CommandArgIterator argIter)` Parse command-specific arguments.
`void` `printUsage(Logger logger)` Print info for user about command (parameters, use cases and so on).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.commandline.Command

`prepareConfirmation, startClient, usage`

### Constructor Detail

#### BaselineCommand

    public BaselineCommand()

### Method Detail

#### printUsage

    public void printUsage(Logger logger)

Print info for user about command (parameters, use cases and so on).

Specified by:
  `printUsage` in interface `Command<BaselineArguments>`
Parameters:
  `logger` - Logger to use.

#### confirmationPrompt

    public String confirmationPrompt()

Specified by:
  `confirmationPrompt` in interface `Command<BaselineArguments>`
Returns:
  Message text to show user for. If null it means that confirmantion is not needed.

#### execute

    public Object execute(GridClientConfiguration clientCfg,
                          Logger logger)
                   throws Exception

Change baseline.

Specified by:
  `execute` in interface `Command<BaselineArguments>`
Parameters:
  `clientCfg` - Client configuration.
  `logger` - Logger to use.
Returns:
  Result of operation (mostly usable for tests).
Throws:
  `Exception` - If failed to execute baseline action.

#### arg

    public BaselineArguments arg()

Specified by:
  `arg` in interface `Command<BaselineArguments>`
Returns:
  Command arguments which were parsed during `Command.parseArguments(CommandArgIterator)` call.

#### parseArguments

    public void parseArguments(CommandArgIterator argIter)

Parse command-specific arguments.

Specified by:
  `parseArguments` in interface `Command<BaselineArguments>`
Parameters:
  `argIter` - Argument iterator.

#### name

    public String name()

Specified by:
  `name` in interface `Command<BaselineArguments>`
Returns:
  command name.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020